These are always nice little sites to have around, but they can't really grow much in popularity before users start abusing them to distribute illegal things at which point the site has to start doing more and more content moderation or be shut down.
X0.at: upload files from cURL
11–20 of 93 posts
Re: X0.at: upload files from cURL
#12https://miscdotgeek.com/curlytp-every-web-server-is-a-dead-d...
Re: X0.at: upload files from cURL
#13Alternatively https://transfer.sh/
Re: X0.at: upload files from cURL
#14Re: X0.at: upload files from cURL
#15A small script i use very regularly:
#!/usr/bin/env bash
if [ ! -f $1 ]; then echo "MISSING: $1"; exit 1; fi
torify curl -F"file=@$1" https://YOURSERVER || echo "UPLOAD FAILED (code: $?)"Re: X0.at: upload files from cURL
#16Uploading files without auth layer - is asking for trouble IMHO. Change without audit trail will encourage wrong doers. But I get the idea, this is an example for a file upload in a simple way using Curl or other tools.
Re: X0.at: upload files from cURL
#17These are always nice little sites to have around, but they can't really grow much in popularity before users start abusing them to distribute illegal things at which point the site has to start doing more and more content moderation or be shut down.
Luckily I found out before law enforcement did [2] so I proactively talked to my federal bureau for months generating Excel sheets of IPs and access times and devices and countries. I didn't see many of the images myself, basically just looked at one upload per IP which was like three in total and forwarded all uploads of that IP to the police but man.. what the hell is wrong with people. 4 digit number of uploads of CSAM.
[1] https://github.com/HaschekSolutions/pictshare [2] https://blog.haschek.at/2018/fight-child-pornography-with-ra...
Re: X0.at: upload files from cURL
#18Alternatively https://transfer.sh/
Re: X0.at: upload files from cURL
#19Re: X0.at: upload files from cURL
#20Alternatively https://transfer.sh/
Link is dead for me.